nvme_identify_ctrl_csi(2)

NAME
nvme_identify_ctrl_csi - I/O command set specific Identify Controller data

SYNOPSIS
int nvme_identify_ctrl_csi (int fd , enum nvme_csi csi , void *data );

ARGUMENTS

fd  File descriptor of nvme device

csi Command Set Identifier

data
    User space destination address to transfer the data

DESCRIPTION
An I/O Command Set specific Identify Controller data structure is returned to the host for the controller processing the command. The specific Identify Controller data structure to be returned is specified by csi.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.